# 查询转换任务的进度 (/zh-CN/api-reference/api-ref/whiteboard/restful/get-legacy-file-conversion-task)

> For AI agents: see the complete documentation index at [llms.txt](/llms.txt).

查询文档转换任务的进度。

- OpenAPI: /openapi/whiteboard/restful-wb.zh-CN.yaml
- Operation ID: get-v5-services-conversion-tasks-uuid
- Method: GET
- Path: /v5/services/conversion/tasks/{uuid}
- Endpoint: https://api.netless.link/v5/services/conversion/tasks/{uuid}

## Servers

- https://api.netless.link

## Parameters

- `token` (header, required, string) - SDK Token，可以通过以下方式获取：

- 在声网控制台生成用于测试的 SDK Token，详见[获取互动白板项目的安全密钥](/zh-CN/realtime-media/whiteboard/fastboard-sdk/build/setup-and-access/enable-service#获取互动白板项目的安全密钥)。

- 调用服务端 RESTful API， 详见[生成 SDK Token](generate-sdk-token)。

- 在 App 服务端用代码生成，详见[在 App 服务端生成 Token](/zh-CN/realtime-media/whiteboard/fastboard-sdk/build/setup-and-access/generate-token#在-app-服务端生成-token)。
- `region` (header, required, string) - 指定处理该请求的数据中心，取值如下：

- `cn-hz`：中国杭州，服务区覆盖中国大陆地区及其他数据中心未覆盖的区域。

- `us-sv`：美国硅谷，服务区覆盖北美洲、南美洲。

- `sg`：新加坡，服务区覆盖新加坡、东亚、东南亚。

- `in-mum`：印度孟买，服务区覆盖印度。

- `eu`：欧洲（法兰克福），服务区覆盖欧洲。
  - Allowed: `cn-hz` | `us-sv` | `sg` | `in-mum` | `eu`
- `uuid` (path, required, string) - 转换任务的 UUID，即转换任务的唯一标识符，可通过调用[发起文档转换 API](start-file-conversion) 获取。

## Request body

No request body.

## Responses

### 200

若返回的状态码为 `200` 则表示请求成功。响应 Body 中包含本次请求的结果。

若返回的状态码不为 `200` 则表示请求失败。你可以参考[响应状态码](/zh-CN/realtime-media/whiteboard/fastboard-sdk/reference/response-code)了解可能的原因。

- `uuid` (string) - 转换任务的 UUID，即转换任务的唯一标识符。
- `type` (string) - 转换任务类型，取值如下：

- `dynamic`：动态文档转换，即文档转网页。

- `static`：静态文档转换，即文档转图片。
  - Default: `dynamic`
- `status` (string) - 转换任务的状态：

- `Waiting`：等待转换。

- `Converting`：转换中。

- `Finished`：已完成。

- `Fail`：失败。
- `failedReason` (string) - 转换任务失败的原因。只有当 `status` 为 `Fail` 时，才会返回该字段。
- `progress` (object) - 转换任务的进度。
  - `progress.totalPageSize` (number) - 转换文档总页数。
  - `progress.convertedPageSize` (number) - 已经完成转换的页数。
  - `progress.convertedPercentage` (number) - 转换进度百分比。
  - `progress.convertedFileList` (array) - 已完成转换的文件列表。
    - `progress.convertedFileList.items` (object)
      - `progress.convertedFileList.items.width` (number) - 图片或动态 PPT 的宽度，单位为像素。
      - `progress.convertedFileList.items.height` (number) - 图片或动态 PPT 的高度，单位为像素。
      - `progress.convertedFileList.items.conversionFileUrl` (string) - 转换文件的 URL。
      - `progress.convertedFileList.items.preview` (string) - 预览图地址。当发起转换时请求 Body 中 preview 设为 true 且 type 为 dynamic 时，才会返回该字段。
  - `progress.currentStep` (string) - 动态转换任务当前的步骤，返回值包括：

-  `Extracting`：提取资源。

- `Packaging`：打包资源。

- `GeneratingPreview`：生成预览图。

- `MediaTranscode`：媒体转码。
当发起转换时请求 Body 中 `type` 为 `dynamic` 时，才会返回 `currentStep` 字段。

## Response examples

### 200

```json
{
  "uuid": "2fdxxxx7e",
  "type": "static",
  "status": "Finished",
  "progress": {
    "totalPageSize": 2,
    "convertedPageSize": 2,
    "convertedPercentage": 100,
    "convertedFileList": [
      {
        "width": 1333,
        "height": 750,
        "conversionFileUrl": "https://docs-test-xxx.oss-cn-hangzhou.aliyuncs.com/staticConvert/2fdxxxxx67e/1.jpeg"
      },
      {
        "width": 1333,
        "height": 750,
        "conversionFileUrl": "https://docs-test-xxx.oss-cn-hangzhou.aliyuncs.com/staticConvert/2fdxxxxx67e/2.jpeg"
      }
    ]
  }
}
```
